// --------------------------------------------------------------------
// Scripted behaviour: Follow mouse
//
// This file contains a simple script that causes the associated object
// to follow the mouse cursor.
// --------------------------------------------------------------------
// Events: FollowMouse.OnUpdate
// --------------------------------------------------------------------

// Constants
const float FOLLOW_ACCELERATION = 5.0f;

event FollowMouse.OnUpdate
{
	Vector2 distance = GetMousePosition() - self.position;

	self.position += distance * elapsed * FOLLOW_ACCELERATION;
	self.rotation = atan2(distance.y, distance.x);
}
